分享各种网络资源
是我乃至整个互联网的精髓所在
 您目前所在位置: 站点首页 » WordPress » WordPress 代码 » WordPress禁止小版本自动更新
  • WordPress禁止小版本自动更新

    WordPress禁止小版本自动更新-BanYuner

    不久之前,我会收到邮件被告知我的站点在某个时间自动升级到了某个新的版本,这个版本可能是小版本,并非大版本,那么这个到底是这个什么功能呢?

    这里附上3.7版本的更新内容,估计大家就知道是什么情况了:

    在您睡觉时更新:在WordPress 3.7中,您不需要做任何事,系统就会自动为您完成维护和安全更新。大部分站点都已能于后台完成这些更新。我们为升级过程加入了许多检查和保护措施,使升级更加可靠和安全。

    推广强密码:您的密码是您站点的第一道防线,请最好创建足够复杂、长和独一无二的密码。我们在WordPress 3.7中更新了密码强度指示条,以期发现更多会降低您密码的安全性的常见问题:日期、名字、按键序列(123456789)、甚至是流行文化。

    更加全球化: 本地化的WordPress将会得到更新更完整的翻译。WordPress 3.7将能够自动安装正确的语言文件,并保证它们是最新的。这对WordPress全球数百万非英语用户来说是一件大好事。

    那么我们需要看到的就是第一条,也就是自动更新了。

    有些站点可能不喜欢这些自动更新的功能,这里我也从网络上面找到了相关代码。

    define( 'AUTOMATIC_UPDATER_DISABLED', true );
    

    直接将上方代码添加到wp-config.php中即可,添加位置大概在下面这段话之后就可以了:

    /**
    * 开发者专用:WordPress调试模式。
    *
    * 将这个值改为true,WordPress将显示所有用于开发的提示。
    * 强烈建议插件开发者在开发环境中启用WP_DEBUG。
    *
    * 要获取其他能用于调试的信息,请访问Codex。
    *
    * @link https://codex.wordpress.org/Debugging_in_WordPress
    */

    有需要的用户可以自行添加。

    打赏 分享此文

    扫码,支持我

    WordPress禁止小版本自动更新

    支付宝(点击图片切换)

    扫码,支持我

    WordPress禁止小版本自动更新

    微信(点击图片切换)

    扫码,手机看

    WordPress禁止小版本自动更新
    WordPress禁止小版本自动更新
    4 + 8 =